<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC
 * Site : http://monblog.dpfpic.com/
 * Licence GNU_GPL
 **/
 
# Control du token du formulaire
plxToken::validateFormToken($_POST);

$init = true;

if(!empty($_POST)) {

	$valid = true;
	
	# Vérification de la validité de la date de début
	if(!plxDate::checkDate($_POST['date_start_day'],$_POST['date_start_month'],$_POST['date_start_year'],$_POST['date_start_time'])) {
		$valid = plxMsg::Error($plxPlugin->getLang("L_PP_INVADIDDATE")) AND $valid;
	}
		
	# Vérification de la validité de la date de fin
	if(!plxDate::checkDate($_POST['date_end_day'],$_POST['date_end_month'],$_POST['date_end_year'],$_POST['date_end_time'])) {
		$valid = plxMsg::Error($plxPlugin->getLang("L_PP_INVADIDDATE")) AND $valid;
	}

	$plxPlugin->setParam('adImage', $_POST['adImage'], 'string');
	$plxPlugin->setParam('smallSize', $_POST['smallSize'], 'numeric');
	$plxPlugin->setParam('bigSize', $_POST['bigSize'], 'numeric');
	$plxPlugin->setParam('hPosition', $_POST['hPosition'], 'string');
	$plxPlugin->setParam('clickURL', $_POST['clickURL'], 'string');	
	$plxPlugin->setParam('cTarget', $_POST['cTarget'], 'string');	
	$plxPlugin->setParam('autoAnimate', $_POST['autoAnimate'], 'string');
	$plxPlugin->setParam('homeOnly', $_POST['homeOnly'], 'numeric');
	$plxPlugin->setParam('wWindow', $_POST['wWindow'], 'numeric');
	$plxPlugin->setParam('hWindow', $_POST['hWindow'], 'numeric');	
	$plxPlugin->setParam('noFollow', $_POST['noFollow'], 'string');
	$plxPlugin->setParam('inFinite', $_POST['inFinite'], 'string');		
	$plxPlugin->setParam('date_start', $_POST['date_start_year'].$_POST['date_start_month'].$_POST['date_start_day'].substr(str_replace(':','',$_POST['date_start_time']),0,4), 'cdata');
	$plxPlugin->setParam('date_end', $_POST['date_end_year'].$_POST['date_end_month'].$_POST['date_end_day'].substr(str_replace(':','',$_POST['date_end_time']),0,4), 'cdata');

	if($valid) {
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxPagePeel');
	exit;
	} else {
		$adImage = $_POST['adImage'];
		$smallSize = $_POST['smallSize'];
		$bigSize = $_POST['bigSize'];
		$hPosition = $_POST['hPosition'];
		$clickURL = $_POST['clickURL'];	
		$cTarget = $_POST['cTarget'];	
		$autoAnimate = $_POST['autoAnimate'];
		$homeOnly = $_POST['homeOnly'];
		$wWindow = $_POST['wWindow'];
		$hWindow = $_POST['hWindow'];	
		$noFollow = $_POST['noFollow'];
		$inFinite = $_POST['inFinite'];		
		$date_start['day'] = $_POST['date_start_day'];
		$date_start['month'] = $_POST['date_start_month'];
		$date_start['year'] = $_POST['date_start_year'];
		$date_start['time'] = $_POST['date_start_time'];
		$date_end['day'] = $_POST['date_end_day'];
		$date_end['month'] = $_POST['date_end_month'];
		$date_end['year'] = $_POST['date_end_year'];
		$date_end['time'] = $_POST['date_end_time'];		
		$init = false;
	}
}

if ($init) {
	
$date_now = date('YmdHi');

$adImage =  $plxPlugin->getParam('adImage')=='' ? 'plugins/plxPagePeel/img/peel-ad.png' : $plxPlugin->getParam('adImage');
$smallSize =  $plxPlugin->getParam('smallSize')=='' ? 100 : $plxPlugin->getParam('smallSize');
$bigSize =  $plxPlugin->getParam('bigSize')=='' ? 500 : $plxPlugin->getParam('bigSize');
$hPosition =  $plxPlugin->getParam('hPosition')=='' ? 'right' : $plxPlugin->getParam('hPosition');
$clickURL =  $plxPlugin->getParam('clickURL')=='' ? 'http://dpfpic.com/' : $plxPlugin->getParam('clickURL');
$cTarget =  $plxPlugin->getParam('cTarget')=='' ? '_parent' : $plxPlugin->getParam('cTarget');
$autoAnimate =  $plxPlugin->getParam('autoAnimate')=='' ? 'true' : $plxPlugin->getParam('autoAnimate');
$homeOnly =  $plxPlugin->getParam('homeOnly')=='' ? 0 : $plxPlugin->getParam('homeOnly');
$wWindow =  $plxPlugin->getParam('wWindow')=='' ? 400 : $plxPlugin->getParam('wWindow');
$hWindow =  $plxPlugin->getParam('hWindow')=='' ? 200 : $plxPlugin->getParam('hWindow');
$inFinite =  $plxPlugin->getParam('inFinite')=='' ? 1 : $plxPlugin->getParam('inFinite');
$noFollow =  $plxPlugin->getParam('noFollow')=='' ? 'false' : $plxPlugin->getParam('noFollow');
$date_S =  $plxPlugin->getParam('date_start')=='' ? $date_now : $plxPlugin->getParam('date_start');
$date_E =  $plxPlugin->getParam('date_end')=='' ? $date_now : $plxPlugin->getParam('date_end');
$date_start = plxDate::date2Array($date_S);
$date_end = plxDate::date2Array($date_E);
}
$_SESSION['medias'] = 'data/';
?>
<?php if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxPagePeel/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxPagePeel/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_PP_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_PP_TAB02') ?></span>
</div>
<div class="content_tab" id="content_tab_01">
<form class="inline-form" id="form_plxPagePeel" action="parametres_plugin.php?p=plxPagePeel" method="post">

	<fieldset>
		<div class="grid gridthumb">
				<div class="col sml-12">
					<label for="id_adImage">
						<?php $plxPlugin->lang('L_PP_ADIMAGE') ?>&nbsp;:&nbsp;
						<a title="<?php echo L_THUMBNAIL_SELECTION ?>" id="toggler_adImage" href="javascript:void(0)" onclick="mediasManager.openPopup('id_adImage', true)" style="outline:none; text-decoration: none"><img src="<?php echo PLX_PLUGINS ?>plxPagePeel/img/gfichiers.png" height="16" width="16" style="vertical-align: middle"></a>
					</label>
					<?php plxUtils::printInput('adImage',plxUtils::strCheck($adImage),'text','64-255',false,'full-width'); ?>
					<?php
					$imgUrl = PLX_ROOT.$adImage;
					if(is_file($imgUrl)) {
						echo '<div id="id_adImage_img"><img src="'.$imgUrl.'" alt="" /></div>';
					} else {
						echo '<div id="id_adImage_img"></div>';
					}
					?>
				</div>
			</div>
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_smallSize"><?php $plxPlugin->lang('L_PP_SMALLSIZE') ?>&nbsp;:</label>
				<?php plxUtils::printInput('smallSize',$smallSize,'text','32-32') ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_bigSize"><?php $plxPlugin->lang('L_PP_BIGSIZE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('bigSize',$bigSize,'text','32-32') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hPosition"><?php $plxPlugin->lang('L_PP_HPOSITION') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hPosition',array('right'=>$plxPlugin->getlang('L_PP_RIGHT'),'left'=>$plxPlugin->getlang('L_PP_LEFT')),$hPosition); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_clickURL"><?php $plxPlugin->lang('L_PP_CLICKURL') ?>&nbsp;:</label>
				<?php plxUtils::printInput('clickURL',$clickURL,'text','64-255') ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">	
				<label for="id_noFollow"><?php $plxPlugin->lang('L_PP_NOFOLLOW') ?>&nbsp;:&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_PP_HELP_NOFOLLOW') ?></span></a></label>
				<?php plxUtils::printSelect('noFollow', array('true'=>L_YES,'false'=>L_NO), $noFollow) ?>
			</div>
		</div>				
		<div class="grid">
			<div class="col sml-12">
			<label for="id_cTarget"><?php echo $plxPlugin->lang('L_PP_CTARGET') ?>&nbsp;:</label>
			<select id="cTarget" onchange="if(this.selectedIndex == 2) document.getElementById('dim').style.display = 'block';
				else document.getElementById('dim').style.display = 'none';" name="cTarget">
				<?php
				foreach(array('_parent'=>$plxPlugin->getlang('L_PP_PARENT'),'_target'=>$plxPlugin->getlang('L_PP_TARGET'),'_window'=>$plxPlugin->getlang('L_PP_WINDOW')) as $c=>$d) {
					if($c == $cTarget)
						echo "\t".'<option value="'.$c.'" selected="selected">'.$d.'</option>'."\n";
					else
						echo "\t".'<option value="'.$c.'">'.$d.'</option>'."\n";
				}
				?>
			</select>
			</div>
		</div>
		<?php
			if ($cTarget == '_window') {
				?>
				<div id="dim" style="display:block" >
				<?php
			} else {
				?>
				<div id="dim" style="display:none" >
				<?php
			}
			?>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_wWindow"><?php $plxPlugin->lang('L_PP_WWINDOW') ?>&nbsp;:</label>
			<?php plxUtils::printInput('wWindow',$wWindow,'text','32-32') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hWindow"><?php $plxPlugin->lang('L_PP_HWINDOW') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hWindow',$hWindow,'text','32-32') ?>
			</div>
		</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_autoAnimate"><?php echo $plxPlugin->lang('L_PP_AUTOANIMATE') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('autoAnimate',array('true'=>L_YES,'false'=>L_NO),$autoAnimate); ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_homeOnly"><?php echo $plxPlugin->lang('L_PP_HOMEONLY') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('homeOnly',array('1'=>L_YES,'0'=>L_NO),$homeOnly); ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_inFinite"><?php echo $plxPlugin->lang('L_PP_INFINITE') ?>&nbsp;:</label>
			<select id="inFinite" onchange="if(this.selectedIndex == 1) document.getElementById('zdate').style.display = 'block';
				else document.getElementById('zdate').style.display = 'none';" name="inFinite">
				<?php
				foreach(array('1'=>L_YES,'0'=>L_NO) as $c=>$d) {
					if($c == $inFinite)
						echo "\t".'<option value="'.$c.'" selected="selected">'.$d.'</option>'."\n";
					else
						echo "\t".'<option value="'.$c.'">'.$d.'</option>'."\n";
				}
				?>
			</select>
			</div>
		</div>
		<?php
			if ($inFinite == '0') {
				?>
				<div id="zdate" style="display:block" >
				<?php
			} else {
				?>
				<div id="zdate" style="display:none" >
				<?php
			}
			?>
			<div class="grid">
				<div class="col sml-12">
					<div class="inline-form start">
					<label><?php echo $plxPlugin->lang('L_PP_DATESTART') ?>&nbsp;:</label>
						<?php plxUtils::printInput('date_start_day',$date_start['day'],'text','2-2',false,'day'); ?>
						<?php plxUtils::printInput('date_start_month',$date_start['month'],'text','2-2',false,'month'); ?>
						<?php plxUtils::printInput('date_start_year',$date_start['year'],'text','2-4',false,'year'); ?>
						<?php plxUtils::printInput('date_start_time',$date_start['time'],'text','2-5',false,'time'); ?>
						<a class="ico_cal" href="javascript:void(0)" onclick="dateNow('date_start', <?php echo date('Z') ?>); return false;" title="<?php L_NOW; ?>">
							<img src="theme/images/date.png" alt="calendar" />
						</a>
					</div>
				</div>
			</div>
			<div class="grid">
				<div class="col sml-12">
					<div class="inline-form end">
					<label><?php echo $plxPlugin->lang('L_PP_DATEEND') ?>&nbsp;:</label>
						<?php plxUtils::printInput('date_end_day',$date_end['day'],'text','2-2',false,'day'); ?>
						<?php plxUtils::printInput('date_end_month',$date_end['month'],'text','2-2',false,'month'); ?>
						<?php plxUtils::printInput('date_end_year',$date_end['year'],'text','2-4',false,'year'); ?>
						<?php plxUtils::printInput('date_end_time',$date_end['time'],'text','2-5',false,'time'); ?>
						<a class="ico_cal" href="javascript:void(0)" onclick="dateNow('date_end', <?php echo date('Z') ?>); return false;" title="<?php L_NOW; ?>">
							<img src="theme/images/date.png" alt="calendar" />
						</a>
					</div>
				</div>
			</div>
			</div>			
		</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_PP_SAVE') ?>" />
		</p>
	</fieldset>
</form>
<div class="content_tab" id="content_tab_02">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->pagepeel->UpdatePlugin('plxPagePeel'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>	
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxPagePeel/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS; ?>plxPagePeel/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxPagePeel/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxPagePeel/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>	
	</div>
</div>	
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>
